Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web.async
[Groovy] Class TransactionalAsyncTransformUtils

    java.lang.Object
      org.codehaus.groovy.grails.compiler.web.async.TransactionalAsyncTransformUtils

    @groovy.transform.CompileStatic
    class TransactionalAsyncTransformUtils

Utility methods for use by Async transformations

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`static TransactionalPromiseDecorator` | `createTransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, java.lang.reflect.Method method)` Creates a TransactionalPromiseDecorator for the given transactionManager and method to be invoked

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createTransactionalPromiseDecorator

    static TransactionalPromiseDecorator createTransactionalPromiseDecorator(org.springframework.transaction.PlatformTransactionManager transactionManager, java.lang.reflect.Method method)

  Creates a TransactionalPromiseDecorator for the given transactionManager and method to be invoked
  Parameters:
    `transactionManager` - The transactionManager
    `method` - The method
  Returns:
    A TransactionalPromiseDecorator

Groovy Documentation